Skip to main content
GET
/
v0
/
pages
/
{page_id}
/
audiences
/
{audience_id}
Get audience
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/audiences/{audience_id} \
  --header 'x-api-key: <api-key>'
{
  "actionFormIdOverride": "<string>",
  "actionFormInstructionsOverride": "<string>",
  "actionUrlOverride": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "audienceId": "<string>",
  "computedName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customName": "<string>",
  "effectiveName": "<string>",
  "isNewPageAgent": true,
  "latestVersion": {
    "archivedAt": "2023-11-07T05:31:56Z",
    "audienceId": "<string>",
    "becameDraftAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "isNewPageAgent": true,
    "obsoleteAt": "2023-11-07T05:31:56Z",
    "publishedAt": "2023-11-07T05:31:56Z",
    "queueDurationMs": 123,
    "queuedAt": "2023-11-07T05:31:56Z",
    "status": "archived",
    "supplementaryContext": "<string>",
    "versionId": "<string>",
    "versionNumber": 123
  },
  "pageId": "<string>",
  "personId": "<string>",
  "personRouteKey": "<string>",
  "publishedVersion": {
    "archivedAt": "2023-11-07T05:31:56Z",
    "audienceId": "<string>",
    "becameDraftAt": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "isNewPageAgent": true,
    "obsoleteAt": "2023-11-07T05:31:56Z",
    "publishedAt": "2023-11-07T05:31:56Z",
    "queueDurationMs": 123,
    "queuedAt": "2023-11-07T05:31:56Z",
    "status": "archived",
    "supplementaryContext": "<string>",
    "versionId": "<string>",
    "versionNumber": 123
  },
  "status": "archived",
  "supplementaryContext": "<string>",
  "effectiveMetadata": {
    "title": "<string>",
    "description": "<string>",
    "keywords": [
      "<string>"
    ],
    "author": "<string>",
    "robots": [
      "index"
    ],
    "canonicalUrl": "<string>",
    "ogTitle": "<string>",
    "ogDescription": "<string>",
    "ogType": "website",
    "ogImageUrl": "<string>",
    "ogImageFileId": "<string>",
    "ogImageAlt": "<string>",
    "ogSiteName": "<string>",
    "ogUrl": "<string>",
    "twitterCard": "summary",
    "twitterTitle": "<string>",
    "twitterDescription": "<string>",
    "twitterImageUrl": "<string>",
    "twitterImageFileId": "<string>",
    "twitterImageAlt": "<string>",
    "twitterSite": "<string>",
    "twitterCreator": "<string>",
    "themeColor": "<string>"
  },
  "metadataOverride": {
    "title": "<string>",
    "description": "<string>",
    "keywords": [
      "<string>"
    ],
    "author": "<string>",
    "robots": [
      "index"
    ],
    "canonicalUrl": "<string>",
    "ogTitle": "<string>",
    "ogDescription": "<string>",
    "ogType": "website",
    "ogImageUrl": "<string>",
    "ogImageFileId": "<string>",
    "ogImageAlt": "<string>",
    "ogSiteName": "<string>",
    "ogUrl": "<string>",
    "twitterCard": "summary",
    "twitterTitle": "<string>",
    "twitterDescription": "<string>",
    "twitterImageUrl": "<string>",
    "twitterImageFileId": "<string>",
    "twitterImageAlt": "<string>",
    "twitterSite": "<string>",
    "twitterCreator": "<string>",
    "themeColor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://architect-d889a35e-sync-pr-3380.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

audience_id
string
required

audience_id parameter

Response

Audience created successfully

actionFormIdOverride
string | null
required
actionFormInstructionsOverride
string | null
required
actionUrlOverride
string | null
required
archivedAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
audienceId
string
required
computedName
string
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
customName
string | null
required
effectiveName
string
required
isNewPageAgent
boolean
required
latestVersion
object
required
pageId
string
required
personId
string | null
required
personRouteKey
string | null
required
publishedVersion
object
required
status
enum<string>
required
Available options:
archived,
cancelled,
draft,
pending,
processing,
published,
queued
supplementaryContext
string | null
required
effectiveMetadata
object
metadataOverride
object